Skip to content

Import a commercial rent roll CSV

POST
/api/imports/commercial-rent-roll
curl --request POST \
--url https://api.getvespy.com/api/imports/commercial-rent-roll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "csv": "example", "propertyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "recoveryCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "rentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media typeapplication/json
object
csv
required
string
>= 1 characters <= 1000000 characters
propertyId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
recoveryCategoryId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
rentCategoryId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Examplegenerated
{
"csv": "example",
"propertyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"recoveryCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"rentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Default Response

Media typeapplication/json
object
leasesCreated
required
integer
<= 9007199254740991
recoveryRulesCreated
required
integer
<= 9007199254740991
suitesCreated
required
integer
<= 9007199254740991
tenantsCreated
required
integer
<= 9007199254740991
Examplegenerated
{
"leasesCreated": 1,
"recoveryRulesCreated": 1,
"suitesCreated": 1,
"tenantsCreated": 1
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}